# Class FullScreenQuad<T>

用于全屏渲染的辅助类

#### Type Parameters

- T extends THREE.Material = THREE.Material

- Defined in lib/five/renderer/tools/full-screen-quad.ts:6

##### Index

### Constructors

constructor

### Accessors

material

### Methods

dispose
render

## Constructors

### constructor

- new FullScreenQuad<T extends Material = Material>(
  material: T,
  ): FullScreenQuad<T>

  #### Type Parameters

  - T extends Material = Material

  #### Parameters

  - material: T

  #### Returns FullScreenQuad<T>

  - Defined in lib/five/renderer/tools/full-screen-quad.ts:12

## Accessors

### material

- get material(): T

  #### Returns T

  - Defined in lib/five/renderer/tools/full-screen-quad.ts:17
- set material(value: T): void

  #### Parameters

  - value: T

  #### Returns void

  - Defined in lib/five/renderer/tools/full-screen-quad.ts:21

## Methods

### dispose

- dispose(): void

  #### Returns void

  - Defined in lib/five/renderer/tools/full-screen-quad.ts:25

### render

- render(renderer: WebGLRenderer): void

  #### Parameters

  - renderer: WebGLRenderer

  #### Returns void

  - Defined in lib/five/renderer/tools/full-screen-quad.ts:30